#ifndef CLib_First
#ifdef __GNUG__
//pragma once
#pragma interface
#endif
#define CLib_First

#include "Types.h"

class CLib {
public:
    static int &ErrNo;
    static char **Environ;
    
    static char* BSearch(const char *key, char *base, unsigned nel, int size, int (*)(const void*, const void*));   
    static void QSort(void*, int, int, int (*)(const void*, const void*));
    
    static char* Getenv(const char*);
    static int Putenv(const char*);
    
    static int System(const char*);
    static unsigned int Alarm(unsigned int secs);
    static void Abort();
    static void Exit(int);
    static void FastExit(int);

    static int Open(const char*, int);
    static int Creat(const char*, int);
    static int Read(int fd, char *buf, int nbyte);
    static int Write(int fd, const char *buf, unsigned int nbyte);
    static int Close(int);
    static long Lseek(int , long, int);
    static int Unlink(const char*);
    static int Link(const char*, const char*);

    static int Free(char *);
    static char *ReAlloc(char *, int sz);
    static char *CAlloc(int n, int sz);
};


#endif

